aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'targets')
-rwxr-xr-xtargets/support/diskimagefs-update.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/targets/support/diskimagefs-update.sh b/targets/support/diskimagefs-update.sh
index 79277618..f7da3f0f 100755
--- a/targets/support/diskimagefs-update.sh
+++ b/targets/support/diskimagefs-update.sh
@@ -36,15 +36,16 @@ configure_sshd() {
echo "Generating /etc/locale.gen"
cat > /etc/locale.gen <<END
-en_US ISO-8859-1
-en_US.UTF-8 UTF-8
+# en_US ISO-8859-1
+# en_US.UTF-8 UTF-8
+C.UTF-8 UTF-8
END
echo "Running systemctl preset-all"
systemctl preset-all || die "Running systemctl preset-all failed"
echo "Setting locale"
-echo 'LANG="en_US.UTF-8"' > /etc/locale.conf || die "Failed to set locale"
+echo 'LANG="C.UTF-8"' > /etc/locale.conf || die "Failed to set locale"
env-update || die "Failed to run env-update"
echo "Setting keymap"